Bug 679351 (CVE-2011-0449) - CVE-2011-0449 rubygem-actionpack: Intended access restriction bypass via crafted action name, when case-insensitive filesystem is used
Summary: CVE-2011-0449 rubygem-actionpack: Intended access restriction bypass via craf...
Status: CLOSED ERRATA
Alias: CVE-2011-0449
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110208,reported=20110221,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-22 11:01 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:45 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-18 10:37:00 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-22 11:01:09 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0449 to
the following vulnerability:

actionpack/lib/action_view/template/resolver.rb in Ruby on Rails 3.0.x
before 3.0.4, when a case-insensitive filesystem is used, does not
properly implement filters associated with the list of available
templates, which allows remote attackers to bypass intended access
restrictions via an action name that uses an unintended case for
alphabetic characters.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0449
[2] http://groups.google.com/group/rubyonrails-security/msg/04345b2e84df5b4f?dmode=source&output=gplain
[3] http://weblog.rubyonrails.org/2011/2/8/new-releases-2-3-11-and-3-0-4

Comment 1 Jan Lieskovsky 2011-02-22 11:03:17 UTC
This issue did NOT affect the versions of the rubygem-actionpack
package, as shipped with Fedora release of 13 and 14.

--

This issue did NOT affect the version of the rubygem-actionpack
package, as present within EPEL-5 repository.


Note You need to log in before you can comment on or make changes to this bug.